import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

/*表示学生的公共类*/

public class Student {
	String stuNo;
	String name;
	String gender;
	int age;

	public Student() {

	}

	public Student(String stuNo, String name, String gender, int age) {
		this.stuNo = stuNo;
		this.name = name;
		this.gender = gender;
		this.age = age;
	}

	public String getStuNo() {
		return stuNo;
	}

	public void setStuNo(String stuNo) {
		this.stuNo = stuNo;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getGender() {
		return gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}

	public int getAge() {
		return age;
	}

	public void setAge(int age) {
		this.age = age;
	}

	// 向数据库中插入学生基本信息，若插入成功返回true
	public boolean insertStudent() {
		boolean b = true;
		Connection conn = MySQLConnection.getConn();
		try {
			Statement stmt = conn.createStatement();
			String sql = "insert into student values('" + stuNo + "','" + name
					+ "','" + gender + "'," + age + ")";
			sql = new String(sql.getBytes("GBK"), "GBK");
			stmt.executeUpdate(sql);
			stmt.close();
			conn.close();
		} catch (Exception e) {
			b = false;
			System.out.println("插入数据遇到异常！" + e);
		}
		return b;
	}

	// 根据学号查询学生基本信息，若查询成功返回true
	public boolean selectByStuNo(String stuNo) throws Exception {
		boolean b = false;
		Connection conn = MySQLConnection.getConn();
		Statement stmt = conn.createStatement();
		String sql = "select * from student where stuNo = '" + stuNo + "'";
		ResultSet rs = stmt.executeQuery(sql);
		if (rs.next()) {
			String no = rs.getString(1);
			this.setStuNo(no);
			String n = rs.getString(2);
			n = new String(n.getBytes("GBK"), "GBK");
			this.setName(n);
			String g = rs.getString(3);
			g = new String(g.getBytes("GBK"), "GBK");
			this.setGender(g);
			this.setAge(rs.getInt(4));
			b = true;
		}
		rs.close();
		stmt.close();
		conn.close();
		return b;

	}
}
