import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.SwingConstants;

/**
 * 查询学生基本信息查询程序
 */

public class SelectPanel extends JPanel implements ActionListener {
	JButton jb;
	JTextField jt;
	JTextField jt1, jt2, jt3, jt4;

	SelectPanel() {
		JLabel jl = new JLabel("请输入学号：", SwingConstants.CENTER);
		jt = new JTextField();
		jb = new JButton("确定");
		JPanel jp1 = new JPanel(new GridLayout(1, 3));
		jp1.add(jl);
		jp1.add(jt);
		jp1.add(jb);
		JLabel j1, j2, j3, j4;
		j1 = new JLabel("学号：", SwingConstants.CENTER);
		j2 = new JLabel("姓名：", SwingConstants.CENTER);
		j3 = new JLabel("性别：", SwingConstants.CENTER);
		j4 = new JLabel("年龄：", SwingConstants.CENTER);
		jt1 = new JTextField(6);
		jt1.setEditable(false);
		jt2 = new JTextField(6);
		jt2.setEditable(false);
		jt3 = new JTextField(6);
		jt3.setEditable(false);
		jt4 = new JTextField(6);
		jt4.setEditable(false);
		JPanel jp2 = new JPanel(new BorderLayout());
		JPanel jp3 = new JPanel(new GridLayout(4, 2));
		jp2.add(new JLabel(""), BorderLayout.NORTH);
		jp3.add(j1);
		jp3.add(jt1);
		jp3.add(j2);
		jp3.add(jt2);
		jp3.add(j3);
		jp3.add(jt3);
		jp3.add(j4);
		jp3.add(jt4);
		jp2.add(jp3);
		setLayout(new BorderLayout(20, 20));
		add(jp1, BorderLayout.NORTH);
		add(jp2);
		jb.addActionListener(this);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		if (e.getSource() == jb) {
			String stuNo = jt.getText().trim(); // 获取学号
			Student s = new Student();
			boolean b = true;
			try {
				b = s.selectByStuNo(stuNo);
			} catch (Exception e1) {
				System.out.println("查询学生信息遇到异常！" + e1);
			}
			if (b) {
				jt1.setText(s.stuNo);
				jt2.setText(s.getName());
				jt3.setText(s.getGender());
				int a = s.getAge();
				Integer i = new Integer(a);
				jt4.setText(i.toString());
			} else
				JOptionPane.showMessageDialog(null, "无此学生！");
		}
	}
}